package db

import "time"

type Model struct {
	ID        uint `json:"id" gorm:"primary_key"`
	CreatedAt time.Time
	UpdatedAt time.Time
	DeletedAt *time.Time `sql:"index"`
}
type SqliteMaster struct {
	Type     string `json:"type"`
	TblName  string `json:"tbl_name"`
	RootPage string `json:"root_page"`
	Name     string `json:"name"`
	Sql      string `json:"sql"`
}
type TableInfo struct {
	Cid       uint        `json:"cid"`
	Type      string      `json:"type"`
	Name      string      `json:"name"`
	Notnull   string      `json:"not_null"`
	Pk        int         `json:"pk"`
	DfltValue interface{} `json:"deflt_value"`
}
type Filter struct {
	Field   string      `json:"field"`
	Compare string      `json:"compare"`
	Value   interface{} `json:"value"`
}
